## Apache Zeta Components Manual :: Docs For Class ezcWebdavNautilusPropertyHandler

### Webdav::ezcWebdavNautilusPropertyHandler

### Class ezcWebdavNautilusPropertyHandler

Property handler adjusted for the GNOME Nautilus client.

This property handler removes the "charset=..." part form getcontentype properties, since Nautilus displays them not nicely.

Source for this file: /Webdav/src/transports/property_handlers/nautilus.php

    ezcWebdavPropertyHandler
       |
       --ezcWebdavNautilusPropertyHandler

Version: | //autogen//

### Inherited Constants

From ezcWebdavPropertyHandler:
`ezcWebdavPropertyHandler::GETCONTENTTYPE_REGEX` | Regedx to parse the <getcontenttype /> XML elemens content.

### Inherited Member Variables

From ezcWebdavPropertyHandler
protected | `ezcWebdavPropertyHandler::$xmlTool`

### Method Summary

protected DOMElement | `serializeLiveProperty( $property , $parentElement )` Returns the XML representation of a live property.

### Inherited Methods

From ezcWebdavPropertyHandler
public void | `ezcWebdavPropertyHandler::__construct()` Creates a new property handler.
protected ezcWebdavDeadProperty | `ezcWebdavPropertyHandler::extractDeadProperty()` Extract a dead property from a DOMElement.
protected ezcWebdavSourcePropertyLink | `ezcWebdavPropertyHandler::extractLinkContent()` Extracts the <link /> XML elements.
protected ezcWebdavLiveProperty|null | `ezcWebdavPropertyHandler::extractLiveProperty()` Extracts a live property from a DOMElement.
public ezcWebdavBasicPropertyStorage | `ezcWebdavPropertyHandler::extractProperties()` Returns extracted properties in an ezcWebdavPropertyStorage.
protected ezcWebdavXmlTool | `ezcWebdavPropertyHandler::getXmlTool()` Returns the XML tool to work with.
protected DOMElement | `ezcWebdavPropertyHandler::serializeDeadProperty()` Returns the XML representation of a dead property.
protected array(DOMElement) | `ezcWebdavPropertyHandler::serializeLinkContent()` Serializes an array of ezcWebdavSourcePropertyLink elements to XML.
protected DOMElement|null | `ezcWebdavPropertyHandler::serializeLiveProperty()` Returns the XML representation of a live property.
public void | `ezcWebdavPropertyHandler::serializeProperties()` Serializes an object of new ezcWebdavPropertyStorage to XML.

### Methods

#### serializeLiveProperty

DOMElement serializeLiveProperty( ezcWebdavLiveProperty $property , $parentElement )

Returns the XML representation of a live property.

Returns a DOMElement, representing the content of the given $property. The newly created element is also appended as a child to the given $parentElement.

This method only takes care for ezcWebdavGetContentTypeProperty and does not add the "charset=..." part to the generated XML output, since Nautilus does not display this nicely. All other properties are dispatched to the default ezcWebdavPropertyHandler.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$property` | ezcWebdavLiveProperty |
`$parentElement` | DOMElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavPropertyHandler::serializeLiveProperty()` | Returns the XML representation of a live property.

Documentation generated by phpDocumentor 1.4.3